Bug 10852 - Home directory and shell substitution is broken.
Home directory and shell substitution is broken.
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
Blocks: 10886 10077
  Show dependency treegraph
Reported: 2014-10-03 15:51 UTC by Jeremy Allison
Modified: 2014-10-29 19:57 UTC (History)
4 users (show)

See Also:

Fix for master. (882 bytes, patch)
2014-10-03 17:31 UTC, Justin Maggard
no flags Details
4.2 patch cherry-picked from master (1.07 KB, patch)
2014-10-20 22:19 UTC, Andrew Bartlett
abartlet: review? (rpenny)
jra: review+

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2014-10-03 15:51:07 UTC
Noticed by Justin Maggard <jmaggard10@gmail.com>.

winbindd carefully does the talloc substitution call, and then copies the original unsubstituted buffer to the output string. Doh ! :-).

Fix to follow.
Comment 1 Justin Maggard 2014-10-03 17:31:55 UTC
Created attachment 10324 [details]
Fix for master.
Comment 2 Jeremy Allison 2014-10-07 00:14:03 UTC
Fix applied to master (not applicable to earlier versions 4.1.x or earlier).
Comment 3 Andrew Bartlett 2014-10-20 22:19:51 UTC
Created attachment 10359 [details]
4.2 patch cherry-picked from master

Samba 4.2 branched without this patch, so it is attached here for master.
Comment 4 Jeremy Allison 2014-10-21 00:29:13 UTC
Comment on attachment 10359 [details]
4.2 patch cherry-picked from master

Comment 5 Jeremy Allison 2014-10-21 00:29:46 UTC
Re-assigning to Karolin to make sure it gets into 4.2.0.
Comment 6 Karolin Seeger 2014-10-26 20:38:22 UTC
Pushed to autobuild-v4-2-test.
Comment 7 Karolin Seeger 2014-10-29 19:57:18 UTC
Pushed to v4-2-test.
Closing out bug report.